Error when I am using Scispacy

Hi All,

I am getting the following error,when I am trying to use SciSpacy

ImportError: cannot import name ‘combined_rule_sentence_segmenter’ from ‘scispacy.custom_sentence_segmenter’ (C:\ProgramData\Anaconda3\lib\site-packages\scispacy\custom_sentence_segmenter.py)

Below is my complete code after which I am getting the above error-

pip install https://s3-us-west-2.amazonaws.com/ai2-s2-scispacy/releases/v0.2.0/en_core_sci_sm-0.2.0.tar.gz

import scispacy
import spacy
import en_core_sci_sm
from spacy import displacy
from scispacy.abbreviation import AbbreviationDetector
from scispacy.umls_linking import UmlsEntityLinker

#Load the model
nlp = en_core_sci_sm.load()
#nlp = spacy.load(“en”)

I am using python version 3.7.6 and Jupyter notebook as my IDE,Spacy-2.3.2 and SciSpacy-0.2.5

Can someone kindly please help me with the same.Many thanks : )

Hi! This is a forum for the allennlp library, which is unrelated to scispacy. I’d recommend opening on issue on the scispacy repository.